Commit Graph

827 Commits

Author SHA1 Message Date
Jeromy
fb05a5fbb8 trying to debug random test failures
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-19 19:37:03 -07:00
Jeromy Johnson
0aa136a98e Merge pull request #3206 from ipfs/feat/writable-flag
gateway: fix --writable flag :|
2016-09-14 13:50:32 -04:00
Jeromy
1de17e2233 Update libp2p to 3.5.2
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-12 14:26:55 -07:00
Jeromy
1bb6a842c5 Update libp2p to have fixed spdystream dep
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-12 07:47:04 -07:00
Lars Gierth
fc8e6de6a9 gateway: fix --writable flag :|
License: MIT
Signed-off-by: Lars Gierth <larsg@systemli.org>
2016-09-11 21:09:09 +02:00
George Antoniadis
89d8ca5798 Extract peerset, update peer, peerset, secio, libp2p
License: MIT
Signed-off-by: George Antoniadis <george@noodles.gr>
2016-09-10 23:22:17 +01:00
George Antoniadis
6859b8ccd8 Extract key and datastore
License: MIT
Signed-off-by: George Antoniadis <george@noodles.gr>
2016-09-09 15:52:25 +01:00
Jeromy
c8fe495934 integrate CIDv0
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-07 13:32:32 -07:00
Jeromy
aafe084b92 sharness: fix typo in hash in t0050
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-01 15:42:05 -07:00
Jeromy Johnson
53b927e3eb Merge pull request #3130 from ipfs/test/repo/version-digits
test: accept more than one digit in repo version tests
2016-08-26 14:17:50 -07:00
Jakub Sztandera
8181e9934a
test: accept more than one digit in repo version tests
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-26 18:23:40 +02:00
Jeromy
05b197df2d update deps for libp2p 3.4.0
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-25 19:02:55 -07:00
Jeromy Johnson
10048ceca9 Merge pull request #2962 from ipfs/kevina/block-rm
Add "ipfs block rm" command.
2016-08-18 13:27:26 -07:00
Kevin Atkinson
8679af7a02 "block rm": add "--force" and "--quiet" option
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-17 01:29:40 -04:00
Kevin Atkinson
92f6747a95 "block rm": test case for removing pinned, valid, and non-existent blocks
Add test that removes a combination of pinned, valid, and non-existent
blocks in one command.

License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-16 20:52:00 -04:00
Jeromy Johnson
f2dcad8531 Merge pull request #2999 from ipfs/feature/makefile-cleanup
Cleanup makefiles
2016-08-16 10:15:08 -07:00
Kevin Atkinson
c88b4b0941 "block rm": remove the option to ignore pins
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Kevin Atkinson
efeb789878 Check for multiple pinned blocks in a single pass.
Provide a new method, Pinner.CheckIfPinned(), which will check if
any of the arguments are pinned.  Previously IsPinned would need to be
called once for each block.  The new method will speed up the checking
of multiple pinned blocks from O(p*n) to O(p) (where p is the number
of pinned blocks and n is the number of blocks to be check)

Use the new method in "block rm".

License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Kevin Atkinson
6ad497bcf0 "block rm": use channel instead of pipe / don't abort on non-fatal error
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Kevin Atkinson
453be22dfb Add "ipfs block rm" command.
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Christian Couder
2489dfe8a9 ipfs-test-lib: fix test_fsh arg quoting
test_fsh() should quote its arguments before passing them
to `eval` otherwise there are problems when the arguments
contain spaces.

For example when running the following program:

```
#!/bin/sh

. ./ipfs-test-lib.sh

die () {
    printf >&2 "%s\n" "$@"
    exit 1
}

DIR1="test dir 1"
DIR2="test dir 2"

mkdir "$DIR1" "$DIR2" || die "Could not mkdir '$DIR1' '$DIR2'"

echo "in dir 1" >"$DIR1/file1" || die "Could not write into '$DIR1/file1'"
echo "in dir 2" >"$DIR2/file2" || die "Could not write into '$DIR2/file2'"

if test_cmp "$DIR1/file1" "$DIR2/file2"
then
    echo "test_cmp succeeded!"
else
    echo "test_cmp failed!"
fi

rm -rf "$DIR1" "$DIR2" || die "Could not rm -rf '$DIR1' '$DIR2'"

```

we get:

```
> diff -u test dir 1/file1 test dir 2/file2
diff: extra operand '1/file1'
diff: Try 'diff --help' for more information.

test_cmp failed!
```

License: MIT
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
2016-08-15 12:10:15 +02:00
Jeromy
8a75a8cf08 commands: fix panic when stdin is empty for string args
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-07 09:24:17 -07:00
Jakub Sztandera
cc60f6909b make: cleanup -rm calls
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 16:38:00 +02:00
Jakub Sztandera
c1014aea88 make: 'make clean' clears sharness too
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 16:38:00 +02:00
Jakub Sztandera
f3dc11c566 use $(MAKE) instead of 'make' in Makefiles
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 16:38:00 +02:00
Jakub Sztandera
63072758a9 make: use 'make -C' instead of 'cd && make'
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 16:38:00 +02:00
Jeromy Johnson
1eb94e64e3 Merge pull request #2990 from csasarak/janky_version
Alias 'ipfs --version' to 'ipfs version'
2016-08-04 06:58:15 -07:00
Jeromy Johnson
5a831ff16d Merge pull request #3033 from ipfs/fix/stdin-read-msg
commands/cli: fix reading from stdin message
2016-08-03 11:19:34 -07:00
Jeromy
068c6d2211 commands/cli: fix reading from stdin message
Only print "Reading from /dev/stdin" message when we actually read from
stdin (and not in other cases such as ipfs add --help).

License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-03 09:04:41 -07:00
Jakub Sztandera
a42302443b cli: reword message about mount and offline
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 08:04:07 -07:00
Jakub Sztandera
8273b0f493 sharness: fix improper use of test_expect_failure
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 05:24:20 -07:00
Jakub Sztandera
2cae0bc616 daemon: ipfs daemon --offline --mount should fail with nice message
ipfs daemon --offline;
ipfs mount;
fails. This uniforms this behaviour.

License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 05:24:20 -07:00
Jeromy
1b50fcefed default add progress to false, unless using CLI
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-01 10:03:43 -07:00
Jakub Sztandera
66686e66be commands: fix refs 'edges' option work
also change it to use format instead of separate variable

License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-28 20:25:32 +01:00
Jeromy Johnson
0bd8ced0d6 Merge pull request #2993 from ipfs/fix/provstore-batching
use batching datastore for providers storage
2016-07-28 03:27:21 -07:00
Chris Sasarak
5e9cbd740d Added tests for ipfs --version.
1. Test that ipfs --version has a 0 exit status
2. Check the ipfs --version output matches ipfs version

License: MIT
Signed-off-by: Chris Sasarak <chris.sasarak@gmail.com>
2016-07-26 19:41:20 -04:00
Jeromy
e8addf5ee3 use batching datastore for providers storage
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-26 10:48:25 -07:00
Jeromy
ed551131f2 commands: fix panic when expected files field is nil
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-25 09:12:58 -07:00
Jeromy Johnson
83d9c1c106 Merge pull request #2939 from ipfs/feat/auto-migrate
Automatically download and run migrations if needed
2016-07-22 05:47:21 -07:00
Jeromy
fcc4f0001d move prompt code into daemon.go
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-20 13:29:33 -07:00
Jeromy
660a4a9d98 mfs: fix copying into directory with no given filename
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-19 07:41:00 -07:00
Jeromy
37673c85c7 add a test for auto migrations cli interface
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-19 06:50:00 -07:00
Jeromy Johnson
676b5ee7c8 Merge pull request #2952 from ipfs/fix/stdin-handling
rework stdin handling
2016-07-16 04:17:38 -07:00
Jeromy
72705564e7 another type check fix and add back a missing test
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-15 10:49:57 -07:00
Jakub Sztandera
6b97588266 cmd: include case where PrivKey is stored in lower case
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:46:33 +01:00
Jakub Sztandera
f7e659006b test/sharness: make sure the string isn't empty
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00
Jakub Sztandera
2fded41ff5 core/commands: do not show PrivKey in config if it is null
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00
Jakub Sztandera
2b682f95d0 core/commands/config: error out if config replace contains privkey
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00
Jakub Sztandera
ea9327dd3c test/sharness: add more tests against exposing PrivKey on network
and replacing config.

License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00
Jakub Sztandera
011a546b9c core/cmds/config: do not show privkey on the network
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00